=============================================================================
    Intel(R) Server Platform S2400LP FRU/SDR Update Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:   Sep 2, 2013

TO:	    Intel(R) Server Platform S2400LP customers

SUBJECT:    Integrate BMC(R) FRU/SDR update package S2400LP_FRUSDR_0109 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation.

*Other names and brands are the property of their respective owners.

Copyright (c) 2012 Intel Corporation.

=============================================================================
                              ABOUT THIS RELEASE
=============================================================================

SDR file version:                  1.10
Baseboard FRU file version:        0.01
Master configuration file version: 1.10
FRUSDR Utility:                    11.0-Build 20

=============================================================================
        SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- This FRU/SDR package has only been tested on S2400LP FAB2 baseboards

- BMC firmware rev 01.15 (or later) MUST be preinstalled prior to installing
  this FRU/SDR package

- BIOS R0051 or later

- MB Ver Fab2

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

- Package and file names have changed for this version of the package. The FRU
  and SDR files are now named S2400LP.fru and S2400LP.sdr respectively.
  Also, the EFI script file name has changed to updS2400LP.nsh.

=============================================================================
            INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC release 01.15 or later is pre-installed before attempting this
   FRU/SDR update.

2. Copy all of the files in the S2400LP_FRUSDR_0109.zip archive to a USB key,
   hard disk drive or floppy drive.
   All of the files in this zip archive must reside in the same directory.

3. Boot to EFI and then run the following command to display the
   contents of the baseboard FRU device:

    FRUSDR /d FRU

   If device is empty(which is the case for all new FAB1 baseboards) or corrupted, then
   execute the following command to program the empty FRU device:

   For S2400LP:
        FRUSDR /fru S2400LP.fru

4. Now execute the following command to bring up the main FRU/SDR load menu:

    FRUSDR /cfg master.cfg


5. Select the option which is applicable to what you want to do. On a brand
   new baseboard I would highly recommend to run option 3 to program both
   the FRU and SDR. By reprogramming the FRU you will be given the option
   to input data from the keyboard into various chassis, board and product
   areas. Ensure that you select the correct chassis from the chassis
   selection menu otherwise your fan sensors will not be configured
   properly.

6. Once the package has finished its installation, I would highly recommend
   to DC power off the system and cycle AC power.

=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================

- None

=============================================================================
                           FEATURES ADDED
=============================================================================
S2400LP_FRUSDR_0110:
- None.

S2400LP_FRUSDR_109:
- Add sensor SAS Module Temp 1/2 #0x28 #0x2D
- Modify the flow of detect IO module
- Modify Power Redudancy sensor to manual re-arm
- Add clamp record for SAS Module Temp 1/2
- Add SAS Mod Presence sensor(0x0F)

S2400LP_FRUSDR_0108:
- Modify processor vrd hot sensor to auto re-arm

S2400LP_FRUSDR_0107:
- Modify the "Pwr Unit Redund" to auto-rearm and enable its Deassertion Event Mask
- Modify the threshold reading value of "Exit Air Temp" 
- Modify the s#21 Accuracy value
- Add Clamp ID 0x83 and 0x84 to OTHER chassis

S2400LP_FRUSDR_0106:
- Modify the sensor maximum reading of P1/P2 DTS (0x83/0x84) to 0x7F
- Disable the Deassertion Event Mask for "Pwr Unit Redund"
- Naming the HDD driver sensor from HDD0 not HDD1
- Modify the sensor unit of PS Curr Out % to percentage
- Modify the PS Fan sensor to "PS1 Fan Fail" or "PS2 Fan Fail"
- Modify the threshold data of HSBP Temp sensor(#21h) refer to config-table v1.8
- Modify the stepwise record refer to config-table v1.8

S2400LP_FRUSDR_0105:
- Update some clamp record 
- Update some stepwise record
- Update DIMM Air Velocity record
- Update Normal Control Value in domain configuration record
- Update  Aggregate Sensor record
- Update System Airflow Formula Record
- Update fans-off record

S2400LP_FRUSDR_0104:
- Update the chassis name in master.cfg file
- Update the temperature of stepwise curve 0x0e and 0x0f. 
- Modify the entity id of "IO Mod Presence" sensor to 0x2c
- Add the P1/P2 DTS Thermal Magin sensor 
- Add a FRU device location record for IO Module

S2400LP_FRUSDR_0103:
- Update sensor #21 entity id from 0ch to 40h

S2400LP_FRUSDR_0102:
- Remove the sensor about DTS(#83h,#84h) refer to config-table 1.6
- Update the FSC refer to config-table 1.6

S2400LP_FRUSDR_0101:
- Add sensor 'Auto Shutdown' (s# B8) 
- Add sensor 'IO Mod Presence' (s# 0E) 
- Add 1600w PSU
- Update all instance ID to 01 for Entity ID 07
- Update s#21 'HSBP TEMP' Entity ID to 0C
- Update Master.cfg file according to CONFIG-FSC.xls(v1.4)

S2400LP_FRUSDR_14:
- Remove tag 'IB' from s#25(IB QDR Temp) 
- Modify s#D0 Instance from 0 to 1
- Update s#DE 'BB +3.0V VBAT' Assertion and Deassertion mask, only support lower critical 
  and non-critical threshold
- Update master.cfg file

S2400LP_FRUSDR_13:
- Add tag 'IB' to s#25(IB QDR Temp) 

S2400LP_FRUSDR_12:
- Update sensor "Exit Air Temp" Assertion and Deassertion Mask to 0000 
- Update DIMM air Velocity Record and System airflow formula Record
- Change some FSC value according to the CONFIG-FSC.xls(v1.0)for chassis 'H2300LN' and 'H2200LN'
- Add sensor 2E to sensor exlcusion record for chassis 'H2300LN' and 'H2200LN'
- Modify several Tcontrol value and ramp rate value for some Global Clamp Records
- Modify all Global Stepwise Records
- Modify ME sensor "SPS FW Health" sensor type to DC, Event/Reading type to 75
- Modify some sensor's name according to latest EPS(s#26 s#2F s#A0 s#A1 s#A4 s#A5 s#81 s#0B s#7C s#7D s#B0 s#B2)  

S2400LP_FRUSDR_11:
- Modify some BIOS SDR
- Changed HSBP's device ID from 05 to 08

S2400LP_FRUSDR_10:
- Add sensor "Physical Scrty"
- Add Half-Width Virtual Exit Air Temperature Sub Record
- Update sensor type & Event/Reading type of "P1 Mem Thrm Trip" and "P2 Mem Thrm Trip"
- Modify the Master.CFG to auto detect the chassis

S2400LP_FRUSDR_09:
- Correct "PS2 power In" sensor number for 1200W power
- Correct "System airflow" sensor type
- Update the maxium fan speed according "sys config" tab
- Update clamp flags for sensor 74h/75h and 83h/84h in "Global Clamp Records"
- Update LCC and UCC for 3.5" and 2.5" SKU in "Global Stepwise Records" tab
- Update "Normal Control Value" in 3.5" and 2.5" SKU to 20%
- Update "System Airflow Formula Record"
- Update "Fan-off PWM" to 25%

FLNP_08:
- Add TAG "HSBP_PSOC" to sensor "HSC status"
- Remove sensor "FP NMI Diag Int"
- Change "Normal Control Value" in H2300LP to 28, "Normal Control Value" in H2200LP to 1E
- Updated DTS1 Lookup Table
- Update Maximum and nominal fan speed according "Sys config" tab.

FLNP_07:
- Remove clamp ID 26
- Change the offset of HDD STATUS sensor

FLNP_06:
- Add sensor "Exit Air Temp" to Chassis BCP2.5 and Chassis BCP2.5
- Add sensor "System Airflow" to Chassis BCP2.5 and Chassis BCP2.5
- Change some voltage sensor value according to CONFIG-FSC.xls(v0.5)
- Remove sensor "SAS Mod Temp"
- Remove SAS module from Globle Clamp Record
- Remove mem VRD hot s#94 and s#96
- Remove 2Dh(SAS module Temp)from "Test Plate FSC"tab

FLNP_05:
- Add two PS fan sensor 
- Add ps domain according to CONFIG-FSC.xls(v0.4)
- Modify fan sensor value in other chassis
- Change clamp ID to their sensor number
- Change some FSC value according to the CONFIG-FSC.xls(v0.4) 
- Add update product asset tag in MASTER.CFG 

FLNP_04:
- Add Power Unit Map SDR Record
- Modify sensor "ps1 fan" to "ps1 fan fail",and it's record type changed from 01 to 02
- Modify sensor "ps2 fan" to "ps2 fan fail",and it's record type changed from 01 to 02

FLNP_03:
- Add sensor "Sparing Redun"

FLNP_02:
- Modify sensor IB to detect in master.cfg
- Modify some voltage sensor data according to CONFIG-FSC.xls(v0.2)
- Add sensor "HSC status" and "BMC Health"
- Add record "FW Update status"
- Rename "PCH Temp" #22 as "SSB Temp"

FLNP_01:
- This package is only for PO builds
- Update SDR as per CONFIG-FSC.xls(v0.1)

=============================================================================
                           ISSUES FIXED
=============================================================================
S2400LP_FRUSDR_0110:
- Update FRUSDR utility to 11 build 20.

S2400LP_FRUSDR_0109:
- None

S2400LP_FRUSDR_0108:
- None

S2400LP_FRUSDR_0107:
- The HSBP Temp shown more than 200C in EWS.
- CPU DTS sensor(0x84/0x84) clamp record was missed in LNP Clamp header and not contained in other chassis

S2400LP_FRUSDR_0106:
- None

S2400LP_FRUSDR_0105:
- None

S2400LP_FRUSDR_0104:
- [FW EVL]The test script LinearStepwise_003.tlg running result was failed with FTF312.
- [FW EVL]There is not de-assertion events logged for IOM presence in SEL after remove 
                the IO Module from system.

S2400LP_FRUSDR_0103:
- None

S2400LP_FRUSDR_0102:
- None

S2400LP_FRUSDR_0101:
- None

S2400LP_FRUSDR_14:
- :CMOS battery voltage sensor 0xDE have both upper/lower critical and non-critical 
                threshold valus in EPS definition,but test case requires "only support low non-critical
                and critical threshold".
- SMASH-Lite feature for(6: cd and identity property for all targets) test fail.
- With FRUSDR13, no found IB QDR Temp sensor on depop SKU, but can found it on IB SKU.

S2400LP_FRUSDR_13:
- None

S2400LP_FRUSDR_12:
- The "Exit Air Temp" sensor often go upper critical/non critical when muti node 
                power on
- Sometimes there are some abnormal Temperature information in sel log after 
                installing OS

S2400LP_FRUSDR_11:
- There is not auto detection current chassis function during update FRUSDR

S2400LP_FRUSDR_10:
- "LAN Leash Lost" offse event is not logged in event log
- When memory Thermal trip generated, find the front panel status LED is still blinking amber
- The test script LinearStepwise_003.tlg running result was failed with FTF311

S2400LP_FRUSDR_09:
- With both power supplies system, single unplug the power cord of PS1, PS2 power 
                in sensor reading show 0(zero).If unplug the power cord of PS2, PS2 power in sensor 
                show non-zero readings.
- When run SPECcpu test with SATA HDD connecting SATA port onboard without HDD 
                on the HSBP,the HSC Status reports "it has transitioned to an offline state" and "it 
                has transitioned out of an offline state" in the SEL randomly.

FLNP_08:
- None

FLNP_07:
- no generate a selview log during hot swap

FLNP_06:
- With FRUSDR05,HDD 9-12 sensors reading was showed Not available in EWS on 3.5' 
  HDD SKU

FLNP_05:
- With 1.35V memory have some Voltage sensors generate Critical error in selview

FLNP_04:
- Status LED not blink to indicate the system encounter some issue(PROCHOT, MEMHOT...)
- There are some sensors health as unknown and reading was not Available

FLNP_03:
- None

FLNP_02:
- Connect both of power supplies to update FRUSDR, PSU detection message 
                are abnormal, show two  "power supply 1" 

FLNP_01:
- None


=============================================================================
                             REFERENCE MATERIAL
=============================================================================

FSC Config Sheet Rev 2.0.xlsm

[END OF RELEASE NOTES]